xfstests: introduce a common directory
[xfstests-dev.git] / tests / generic / 131
1 #! /bin/bash
2 # FSQA Test No. 131
3 #
4 # lock test created from CXFSQA test lockfile_simple
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 seqres=$RESULT_DIR/$seq
28 seqres=$RESULT_DIR/$seq
29 echo "QA output created by $seq"
30
31 here=`pwd`
32 tmp=/tmp/$$
33 status=1        # failure is the default!
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 _cleanup()
37 {
38     kill $locktest_pid2 2&>1 /dev/null
39     kill $locktest_pid1 2&>1 /dev/null
40     _cleanup_testdir
41 }
42
43 # get standard environment, filters and checks
44 . ./common/rc
45 . ./common/filter
46
47 # real QA test starts here
48 _supported_fs generic
49 _supported_os Linux
50
51 _setup_testdir
52
53 TESTFILE=$testdir/lock_file
54
55 # Grab a port which is hopefully unused
56 if [ $$ -gt 1024 -a $$ -lt 32000 ]; then
57     PORT=$$
58 elif [ $$ -lt 1024 ]; then
59     PORT=$(($$+1024))
60 elif [ $$ -gt 32000 ]; then
61     PORT=$(($$%30000+1024))
62 fi
63
64 # Start the server
65 src/locktest -p $PORT $TESTFILE > $testdir/server.out 2>&1 &
66 locktest_pid1=$!
67
68 sleep 1
69
70 # Start the client
71 src/locktest -p $PORT -h localhost $TESTFILE > $testdir/client.out 2>&1
72 locktest_pid2=$!
73 result=$?
74 if [ $result -eq 0 ]; then
75     echo success!
76 else
77     echo "Client reported failure ($result)"
78     cat $testdir/*.out
79     _cleanup
80     exit $status
81 fi
82
83 status=0
84 exit